#pragma once
#include <SDL2/SDL.h>

namespace gbscreen
{
    void init(int mode);
    void reinit();
    void focus();
    void refresh(const uint32_t dt, const bool full=false);
    void redraw(const bool present=true);
    void present();
    void setTitle(const char* title);

    void incZoom();
    void decZoom();
    void toggleFullscreen();
    const bool getFullscreen();
}
